searchNodes=[{"doc":"Implements the Unicode collation rules based on the CLDR root collation which in turn is based upon the Unicode DUCET table.","ref":"Cldr.Collation.html","title":"Cldr.Collation","type":"module"},{"doc":"Compares two strings according to the Unicode collation rules with the CLDR root collation which is based upon the Unicode DUCET table. Arguments string_1 is an a t:String.t() string_2 is an a t:String.t() options is a keyword list of options Options casing is either :sensitive or :insensitive indicating if collation is to be case sensitive or not. The default is :insensitive Returns Either of :lt , :eq or :gt signifying if string_1 is less than, equal to or greater than string_2 Examples iex&gt; Cldr.Collation . compare &quot;á&quot; , &quot;A&quot; , casing : :sensitive :gt iex&gt; Cldr.Collation . compare &quot;á&quot; , &quot;A&quot; , casing : :insensitive :eq","ref":"Cldr.Collation.html#compare/3","title":"Cldr.Collation.compare/3","type":"function"},{"doc":"","ref":"Cldr.Collation.html#init/0","title":"Cldr.Collation.init/0","type":"function"},{"doc":"Sorts a list of strings according to the Unicode collation rules with the CLDR root collation which is based upon the Unicode DUCET table. This collation does not aim to provide precisely correct ordering for each language and script; tailoring would be required for correct language handling in almost all cases. The goal is instead to have all the other characters, those that are not tailored, show up in a reasonable order. Arguments strings is an enumerable of type t:String.t() options is a keyword list of options Options casing is either :sensitive or :insensitive indicating if collation is to be case sensitive or not. The default is :insensitive Returns An ordered list of t:String.t() Examples iex&gt; Cldr.Collation . sort [ &quot;á&quot; , &quot;b&quot; , &quot;A&quot; ] [ &quot;á&quot; , &quot;A&quot; , &quot;b&quot; ] iex&gt; Cldr.Collation . sort [ &quot;á&quot; , &quot;b&quot; , &quot;A&quot; ] , casing : :sensitive [ &quot;A&quot; , &quot;á&quot; , &quot;b&quot; ]","ref":"Cldr.Collation.html#sort/2","title":"Cldr.Collation.sort/2","type":"function"},{"doc":"","ref":"Cldr.Collation.html#t:comparison/0","title":"Cldr.Collation.comparison/0","type":"type"},{"doc":"","ref":"Cldr.Collation.html#t:options/0","title":"Cldr.Collation.options/0","type":"type"},{"doc":"Compare two strings using the UCA in a case-insensitive manner","ref":"Cldr.Collation.Insensitive.html","title":"Cldr.Collation.Insensitive","type":"module"},{"doc":"","ref":"Cldr.Collation.Insensitive.html#compare/2","title":"Cldr.Collation.Insensitive.compare/2","type":"function"},{"doc":"Compare two strings using the UCA in a case-sensitive manner","ref":"Cldr.Collation.Sensitive.html","title":"Cldr.Collation.Sensitive","type":"module"},{"doc":"","ref":"Cldr.Collation.Sensitive.html#compare/2","title":"Cldr.Collation.Sensitive.compare/2","type":"function"},{"doc":"Cldr Collation A NIF-based Unicode collator based upon the Unicode library libicu4c . Builds upon the erlang library erlang-ucol by BenoÃ®t Chesneau benoitc@e-engura.org and Nicolas Dufour nrdufour@gmail.com This initial version uses only the &quot;root&quot; locale collator which is the CLDR DUCET collator .","ref":"readme.html","title":"Cldr Collation","type":"extras"},{"doc":"This module requires the package icu4c be installed on your system. For Mac OS users, the standard installation that is delivered with Mac OS is used. No separate installation is required.","ref":"readme.html#requirements","title":"Cldr Collation - Requirements","type":"extras"},{"doc":"# Sorting using Cldr.Collator.sort/2 iex&gt; Cldr.Collation . sort ( [ &quot;á&quot; , &quot;b&quot; , &quot;A&quot; ] , casing : :sensitive ) [ &quot;A&quot; , &quot;á&quot; , &quot;b&quot; ] iex&gt; Cldr.Collation . sort ( [ &quot;á&quot; , &quot;b&quot; , &quot;A&quot; ] , casing : :insensitive ) [ &quot;á&quot; , &quot;A&quot; , &quot;b&quot; ] # Comparing strings iex&gt; Cldr.Collation . compare ( &quot;a&quot; , &quot;A&quot; , casing : :insensitive ) :eq iex&gt; Cldr.Collation . compare ( &quot;a&quot; , &quot;A&quot; , casing : :sensitive ) :lt # Using Elixir 1.10 Enum.sort # Cldr.Collation.Sensitive, Cldr.Collation.Insensitive # comparise modules are provided iex&gt; Enum . sort ( [ &quot;AAAA&quot; , &quot;AAAa&quot; ] , Cldr.Collation.Insensitive ) [ &quot;AAAA&quot; , &quot;AAAa&quot; ] iex&gt; Enum . sort ( [ &quot;AAAA&quot; , &quot;AAAa&quot; ] , Cldr.Collation.Sensitive ) [ &quot;AAAa&quot; , &quot;AAAA&quot; ]","ref":"readme.html#examples","title":"Cldr Collation - Examples","type":"extras"},{"doc":"The package can be installed by adding cldr_collation to your list of dependencies in mix.exs : def deps do [ { :ex_cldr_collation , &quot;~&gt; 0.5.0&quot; } ] end Ensure the package icu4c is installed on your system before invoking mix compile or iex -S mix .","ref":"readme.html#installation","title":"Cldr Collation - Installation","type":"extras"},{"doc":"The Elixir code and additions to the NIF to handle configurable collators is copyright 2019 (c) Kip Cole kipcole9@gmail.com The original erlang NIF is copyright: 2011-2015 (c) BenoÃ®t Chesneau benoitc@e-engura.org 2011-2015 (c) Nicolas Dufour nrdufour@gmail.com Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This is the changelog for Cldr_collation v0.6.0 released on July 3rd, 2021. For older changelogs please consult the release tag on GitHub Bug fixes Load the nif from a path relative to :code.priv_dir/1 .","ref":"changelog.html#ex_cldr_collation-v0-6-0","title":"Changelog - Ex_Cldr_Collation v0.6.0","type":"extras"},{"doc":"This is the changelog for Cldr_collation v0.5.0 released on June 23rd, 2021. For older changelogs please consult the release tag on GitHub Bug fixes Correctly reference the ucol.so file when loading at startup Removes unrequired dependencies Enhancements Adds Cldr.Collator.sort/2 Adds documentation for Cldr.Collator.compare/3","ref":"changelog.html#ex_cldr_collation-v0-5-0","title":"Changelog - Ex_Cldr_Collation v0.5.0","type":"extras"},{"doc":"This is the changelog for Cldr_collation v0.4.0 released on April 9th, 2021. For older changelogs please consult the release tag on GitHub Bug Fixes Fix compilation issues on OTP 23 and later. On these releases, liberl_interface.a doesn't exist and isn't required. Thanks to @zookzook for the report.","ref":"changelog.html#ex_cldr_collation-v0-4-0","title":"Changelog - Ex_Cldr_Collation v0.4.0","type":"extras"},{"doc":"This is the changelog for Cldr_collation v0.3.0 released on March 3rd, 2020. For older changelogs please consult the release tag on GitHub Enhancements Add :inets to :extra_applications for later versions of Elixir Fix application name in README.md . Thanks to @phlppn. Note the requirement for Elixir 1.10 or later in order to use the module-based comparators for Enum.sort/2 .","ref":"changelog.html#ex_cldr_collation-v0-3-0","title":"Changelog - Ex_Cldr_Collation v0.3.0","type":"extras"},{"doc":"This is the changelog for Cldr_collation v0.2.0 released on Match 13th, 2020. For older changelogs please consult the release tag on GitHub Enhancements Adds support for module-based comparators used by Enum.sort/2 on Elixir 1.10 and later. The comparitor modules are Cldr.Collator (which is case insensitive), Cldr.Collator.Sensitive (case sensitive comparison) and Cldr.Collator.Insensitive (case insensitive comparison).","ref":"changelog.html#ex_cldr_collation-v0-2-0","title":"Changelog - Ex_Cldr_Collation v0.2.0","type":"extras"}]